infile="$1"
outfile="$2"
workdir="$TMP/odt_sed"

if [ $# -lt 4 ]; then
	echo "usage: " $0 " <input-file> <output-file> <string to replace 1> <replacement 1> [<string to replace 2> <replacement 2> ...]"
	exit 1
fi
if [ -e "$workdir" ]; then
	rm -rf "$workdir"
fi



echo -n "  unzipping odt file"
mkdir "$workdir"
unzip "$infile" -d "$workdir" > /dev/null
echo "                    [done]"



function sed_it ()
{
if [ $# -lt 4 ]; then
	sed "s/$1/$2/g"
else
	s1="$1"
	s2="$2"
	shift 2
	sed "s/$s1/$s2/g" | sed_it "$@"
fi
}
shift 2
echo -n "  replacing strings in content.xml file"
cat "$workdir/content.xml" | sed_it "$@" > "$workdir/newcontent.xml"
rm -f "$workdir/content.xml"
mv "$workdir/newcontent.xml" "$workdir/content.xml"
echo " [done]"



echo -n "  zipping to new odt file"
OLDPWD="$PWD"
cd "$workdir"
zip -r "$OLDPWD/$outfile" * > /dev/null
rm -rf "$workdir"
echo "               [done]"